Welcome! Log In Create A New Profile

Advanced

It happened an error with intel c++ 10.

Posted by Willson 
Willson
It happened an error with intel c++ 10.
May 19, 2009 11:24PM
Hi.
I want to make PHP5.2.8 with intel c++ 10, but I had given an error
with your fpm_children.c file. I make install PHP5.2.8 like this:

tar zxvf php-5.2.8.tar.gz
gzip -cd php-5.2.8-fpm-0.5.10.diff.gz | patch -d php-5.2.8 -p1
cd php-5.2.8/
CC='icc -static-intel' CFLAGS='-O2 -unroll2 -ip -mp -restrict -xP'
CXX='icpc -static-intel' CXXFLAGS='-O2 -unroll2 -ip -mp -restrict -xP'
./configure --prefix=/usr/local/php --with-config-file-path=/usr/local/
php/etc --with-mysql=/usr/local/mysql --with-mysqli=/usr/local/mysql/
bin/mysql_config --with-iconv-dir=/usr/local --with-freetype-dir --
with-jpeg-dir --with-png-dir --with-zlib --with-libxml-dir=/usr --
enable-xml --disable-rpath --enable-discard-path --enable-safe-mode --
enable-bcmath --enable-shmop --enable-sysvsem --enable-inline-
optimization --with-curl --with-curlwrappers --enable-mbregex --enable-
fastcgi --enable-fpm --enable-force-cgi-redirect --enable-mbstring --
with-mcrypt --with-gd --enable-gd-native-ttf --with-openssl --with-
mhash --enable-pcntl --enable-sockets --disable-ipv6

but when I make test, it happened an error:
compilation aborted for php-5.2.8/sapi/cgi/fpm/fpm_children.c (code 4)
make: *** [sapi/cgi/fpm/fpm_children.lo] Error 1

How I need to do?
Thanks.

Willson
Re: It happened an error with intel c++ 10.
August 02, 2009 11:50AM
When I make install php5.2.9 or php5.2.10 with intel c++10, it would display the same error:
make: *** [sapi/cgi/fpm/fpm_children.lo] Error 1
Re: It happened an error with intel c++ 10.
August 02, 2009 12:57PM
What distro? Sounds like you're forcing the wrong compiler or you're
missing the right one from your distro.

It is written in c, not c++ just FYI.

Sent from my iPhone

On Aug 2, 2009, at 8:50 AM, "filebackup" <nginx-forum@nginx.us> wrote:

>
> When I make install php5.2.9 or php5.2.10 with intel c++10, it would
> display the same error:
> make: *** Error 1
>
> Posted at Nginx Forum: http://forum.nginx.org/read.php?3,2233,4681#msg-4681
>
Re: It happened an error with intel c++ 10.
August 02, 2009 10:50PM
Hi. Mike.
If I don't use php-fpm patch, I can compile php5.2.8 or php5.2.9 or php 5.2.10 with intel c++10.

So I think the fpm_children.c file has issue.
Re: It happened an error with intel c++ 10.
August 02, 2009 10:51PM
Unless someone is available to patch it, I'd say use a normal compiler
as that's not a configuration we could support right now.

On Sun, Aug 2, 2009 at 7:50 PM, filebackup<nginx-forum@nginx.us> wrote:
>
> Hi. Mike.
> If I don't use php-fpm patch, I can compile php5.2.8 or php5.2.9 or php 5.2.10 with intel c++10.
>
> So I think the fpm_children.c file has issue.
>
> Posted at Nginx Forum: http://forum.nginx.org/read.php?3,2233,4685#msg-4685
>
>
Sorry, only registered users may post in this forum.

Click here to login

Online Users

Guests: 86
Record Number of Users: 6 on February 13, 2018
Record Number of Guests: 421 on December 02, 2018
Powered by nginx      Powered by FreeBSD      PHP Powered      Powered by MariaDB      ipv6 ready